%define upstream_name    Class-Observable
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Allow other classes and objects to respond to events in yours
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ISA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
If you have ever used Java, you may have run across the
'java.util.Observable' class and the 'java.util.Observer' interface. With
them you can decouple an object from the one or more objects that wish to
be notified whenever particular events occur.

These events occur based on a contract with the observed item. They may
occur at the beginning, in the middle or end of a method. In addition, the
object *knows* that it is being observed. It just does not know how many or
what types of objects are doing the observing. It can therefore control
when the messages get sent to the obsevers.

The behavior of the observers is up to you. However, be aware that we do
not do any error handling from calls to the observers. If an observer
throws a 'die', it will bubble up to the observed item and require handling
there. So be careful.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-4.mga8
+ Revision: 1493552
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-3.mga7
+ Revision: 1266467
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.40.0-2.mga6
+ Revision: 1023989
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 buchan <buchan> 1.40.0-1.mga6
+ Revision: 923476
- imported package perl-Class-Observable


* Sun May 10 2015 buchan 1.04-1mga
- initial mageia release, generated with cpan2dist
